Loading...
Searching...
No Matches
XrdCl::Monitor::ConnectInfo Struct Reference

Describe a server login event. More...

`#include <XrdClMonitor.hh>`

Collaboration diagram for XrdCl::Monitor::ConnectInfo:

## Public Member Functions

| ConnectInfo ()

## Public Attributes

std::string | auth
| authentication protocol used or empty if none
timeval | eTOD
| gettimeofday() when login ended
std::string | server
| "user@host:port"
timeval | sTOD
| gettimeofday() when login started
uint16_t | streams
| Number of streams.

## Detailed Description

Describe a server login event.

Definition at line 71 of file XrdClMonitor.hh.

## Constructor & Destructor Documentation

## ConnectInfo()

XrdCl::Monitor::ConnectInfo::ConnectInfo | ( |  | ) |

inline

Definition at line 73 of file XrdClMonitor.hh.

: streams( 0 )
{
sTOD.tv_sec = 0; sTOD.tv_usec = 0;
eTOD.tv_sec = 0; eTOD.tv_usec = 0;
}
XrdCl::Monitor::ConnectInfo::streams
uint16_t streams
Number of streams.
Definition XrdClMonitor.hh:82
XrdCl::Monitor::ConnectInfo::sTOD
timeval sTOD
gettimeofday() when login started
Definition XrdClMonitor.hh:80
XrdCl::Monitor::ConnectInfo::eTOD
timeval eTOD
gettimeofday() when login ended
Definition XrdClMonitor.hh:81

References eTOD, sTOD, and streams.

## Member Data Documentation

## auth

std::string XrdCl::Monitor::ConnectInfo::auth

authentication protocol used or empty if none

Definition at line 79 of file XrdClMonitor.hh.

Referenced by XrdCl::Stream::OnConnect().

## eTOD

timeval XrdCl::Monitor::ConnectInfo::eTOD

gettimeofday() when login ended

Definition at line 81 of file XrdClMonitor.hh.

Referenced by ConnectInfo(), and XrdCl::Stream::OnConnect().

## server

std::string XrdCl::Monitor::ConnectInfo::server

"user@host:port"

Definition at line 78 of file XrdClMonitor.hh.

Referenced by XrdCl::Stream::OnConnect().

## sTOD

timeval XrdCl::Monitor::ConnectInfo::sTOD

gettimeofday() when login started

Definition at line 80 of file XrdClMonitor.hh.

Referenced by ConnectInfo(), and XrdCl::Stream::OnConnect().

## streams

uint16_t XrdCl::Monitor::ConnectInfo::streams

Number of streams.

Definition at line 82 of file XrdClMonitor.hh.

Referenced by ConnectInfo(), and XrdCl::Stream::OnConnect().

The documentation for this struct was generated from the following file:

- XrdClMonitor.hh